/* file upload button */
html {
   margin-left:3em;
   margin-right:3em;

}

body {
  min-width: 500px;
  margin: auto;
  max-width:960px;
}

#dropcontainer {
   max-width: 500px;
   margin: auto;
}

input[type=file] {
  width: 350px;
  max-width: 100%;
  color: #444;
  padding: 5px;
  background: #fff;
  border-radius: 10px;
  border: 1px solid #555;
}

#upload_button {
  border-radius: 4px;
  padding: 0 16px;
  height: 40px;
  cursor: pointer;
  background-color: #fcec03;
  border:none;
  margin-right: 16px;
  transition: background-color 200ms;
}

#upload_button:hover {
  background-color: #d1c21d;
}

input[type="file"]::file-selector-button {
  border-radius: 4px;
  padding: 0 16px;
  height: 40px;
  cursor: pointer;
  background-color: #fcec03;
  border:none;
  margin-right: 16px;
  transition: background-color 200ms;
}


/* file upload button hover state */
input[type="file"]::file-selector-button:hover {
  background-color: #d1c21d;
}

/* file upload button active state */
input[type="file"]::file-selector-button:active {
  background-color: #d1c21d;
}

.drop-container {
  position: relative;
  display: flex;
  gap: 10px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 200px;
  padding: 20px;
  border-radius: 10px;
  border: 2px dashed #555;
  color: #444;
  cursor: pointer;
  transition: background .2s ease-in-out, border .2s ease-in-out;
}

.drop-container:hover {
  background: #eee;
  border-color: #111;
}

.drop-container:hover .drop-title {
  color: #222;
}

.drop-title {
  color: #444;
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  transition: color .2s ease-in-out;
}




/* Default Table Style */
table {
  color: #333;
  border: 1px solid grey;
  font-size: 12pt;
  border-collapse: collapse;
}
table thead th,
table tfoot th {
  color: #777;
  background: rgba(0,0,0,.1);
}
table caption {
  padding:.5em;
}
table th,
table td {
  padding: .5em;
  border: 1px solid lightgrey;
  text-align:left;
}

